Subject: [TR] pulley hub torque?

From: Allen Hess <[email-masked]>
Date: Mon, 31 Oct 2016 20:15:44 -0400

I don’t see a torque value for the pulley hub to crankshaft in my Bentley manual - TR3-4. I’m going to help a friend in Austin do his timing chain tensioner and so reviewing the manual and parts list. I did mine two years ago but don’t remember now what I did. It’s a 5/8” bolt, so I think a torque similar to the head studs should be in the ball park. Plus there’s also a lock plate with the fan mounting.

Allen

** [email-masked] **

Archive: http://www.team.net/archive
tox.team.net